Print and export in EJ2 JavaScript Treemap control

23 Jun 202319 minutes to read

Print

To use the print functionality, we should set the allowPrint property to true. The rendered treemap can be printed directly from the browser by calling the method print.

var treemap = new ej.treemap.TreeMap({
    allowPrint: true,
        dataSource: [
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ],
        weightValuePath: 'GDP',
        leafItemSettings: {
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            },
      }
}, '#container');
document.getElementById('print').onclick = () => {
    treemap.print();
};
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 for Treemap </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 for treemap UI Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
    </div>
    <button id="print" type="button" width="15%" style="float: right">Print</button>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Export

Image Export

To use the image export functionality, we should set the allowImageExport property to true. The rendered treemap can be exported as an image using the export method. The method requires two parameters: image type and file name. The treemap can be exported as an image in the following formats.

  • JPEG
  • PNG
  • SVG
var treemap = new ej.treemap.TreeMap({
    allowImageExport: true,
        dataSource: [
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ],
        weightValuePath: 'GDP',
        leafItemSettings: {
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            },
        }
}, '#container');
document.getElementById('export').onclick = () => {
    treemap.export('PNG', 'TreeMap');
};
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 for Treemap </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 for treemap UI Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
    </div>
    <button id="export" type="button" width="15%" style="float: right">Export</button>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

We can get the image file as base64 string for the JPEG and PNG formats. The treemap can be exported to image as a base64 string using the export method. There are four parameters required: image type, file name, orientation of the exported PDF document which must be set as null for image export and finally allowDownload which should be set as false to return base64 string.

var treemap = new ej.treemap.TreeMap({
    allowImageExport: true,
        dataSource: [
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ],
        weightValuePath: 'GDP',
        leafItemSettings: {
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            },
        }
}, '#container');
document.getElementById('export').onclick = () => {
         treemap.export('JPEG', 'TreeMap', null, false).then((data) => {
            var base64 = data;
            document.writeln(base64);
        });
};
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 for Treemap </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 for treemap UI Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
    </div>
    <button id="export" type="button" width="15%" style="float: right">Export</button>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

PDF Export

To use the PDF export functionality, we should set the allowPdfExport property to true. The rendered treemap can be exported as PDF using the export method. The export method requires three parameters: file type, file name and orientation of the PDF document. The orientation setting is optional and 0 indicates portrait and 1 indicates landscape.

var treemap = new ej.treemap.TreeMap({
    allowPdfExport: true,
        dataSource: [
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ],
        weightValuePath: 'GDP',
        leafItemSettings: {
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            },
        }
}, '#container');
document.getElementById('export').onclick = () => {
        treemap.export("PDF", "TreeMap", 0);
};
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 for Treemap </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 for treemap UI Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
    </div>
    <button id="export" type="button" width="15%" style="float: right">Export</button>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

The exporting of the treemap as base64 string is not supported in the PDF export.

HelpBot Assistant

How can I help you?

Print and export in React Treemap component

24 Jan 202324 minutes to read

Print

To use the print functionality, we should inject the Print module into services and set the allowPrint property to true. The rendered treemap can be printed directly from the browser by calling the method print.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, Print, Inject } from '@syncfusion/ej2-react-treemap';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
export function App() {
    function click(){
      treemapInstance.print();
   }
   var treemapInstance;
   return ( <div>
    <ButtonComponent value='Print' onClick= { click}>Print</ButtonComponent>
    <TreeMapComponent  allowPrint={true} ref={g => treemapInstance = g}
        dataSource={[
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ]}
        weightValuePath= 'GDP'
        leafItemSettings= {{
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            }
        }}>
        <Inject services={[Print]} />
    </TreeMapComponent></div> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, Print, Inject } from '@syncfusion/ej2-react-treemap';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
export function App() {
    function click(){
      treemapInstance.print();
   }
   let treemapInstance : TreeMapComponent;
   return ( <div>
    <ButtonComponent value='Print' onClick= { click}>Print</ButtonComponent>
    <TreeMapComponent  allowPrint={true} ref={g => treemapInstance = g}
        dataSource={[
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ]}
        weightValuePath= 'GDP'
        leafItemSettings= {{
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            }
        }}>
        <Inject services={[Print]} />
    </TreeMapComponent></div> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);

Export

Image Export

To use the image export functionality, we should inject the ImageExport module into services and set the allowImageExport property to true. The rendered treemap can be exported as an image using the export method. The method requires two parameters: image type and file name. The treemap can be exported as an image in the following formats.

  • JPEG
  • PNG
  • SVG
import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, ImageExport, Inject } from '@syncfusion/ej2-react-treemap';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
export function App() {
    function click(){
        treemapInstance.export('PNG', 'TreeMap');
    }
    var treemapInstance;
    return ( <div>
    <ButtonComponent value='Export' onClick= { click}>Export</ButtonComponent> <TreeMapComponent  allowImageExport={true} ref={g => treemapInstance = g}
        dataSource={[
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ]}
        weightValuePath= 'GDP'
        leafItemSettings= {{
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            }
        }}>
        <Inject services={[ImageExport]} />
    </TreeMapComponent> </div> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, ImageExport, Inject } from '@syncfusion/ej2-react-treemap';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
export function App() {
    function click(){
        treemapInstance.export('PNG', 'TreeMap');
    }
    let treemapInstance : TreeMapComponent;
    return ( <div>
    <ButtonComponent value='Export' onClick= { click}>Export</ButtonComponent> <TreeMapComponent  allowImageExport={true} ref={g => treemapInstance = g}
        dataSource={[
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ]}
        weightValuePath= 'GDP'
        leafItemSettings= {{
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            }
        }}>
        <Inject services={[ImageExport]} />
    </TreeMapComponent> </div> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);

We can get the image file as base64 string for the JPEG and PNG formats. The treemap can be exported to image as a base64 string using the export method. There are four parameters required: image type, file name, orientation of the exported PDF document which must be set as null for image export and finally allowDownload which should be set as false to return base64 string.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, ImageExport, Inject } from '@syncfusion/ej2-react-treemap';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
export function App() {
    function click(){
        treemapInstance.export('PNG', 'TreeMap', null, false).then((data)=>{
            document.writeln(data);
        })
    }
    var treemapInstance;
    return ( <div>
    <ButtonComponent value='Export' onClick= { click}>Export</ButtonComponent> <TreeMapComponent  allowImageExport={true} ref={g => treemapInstance = g}
        dataSource={[
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ]}
        weightValuePath= 'GDP'
        leafItemSettings= {{
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            }
        }}>
        <Inject services={[ImageExport]} />
    </TreeMapComponent> </div> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, ImageExport, Inject } from '@syncfusion/ej2-react-treemap';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
export function App() {
    function click(){
        treemapInstance.export('PNG', 'TreeMap', null, false).then((data)=>{
            document.writeln(data);
        })
    }
    let treemapInstance: TreeMapComponent;
    return ( <div>
    <ButtonComponent value='Export' onClick= { click}>Export</ButtonComponent> <TreeMapComponent  allowImageExport={true} ref={g => treemapInstance = g}
        dataSource={[
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ]}
        weightValuePath= 'GDP'
        leafItemSettings= {{
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            }
        }}>
        <Inject services={[ImageExport]} />
    </TreeMapComponent> </div> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);

PDF Export

To use the PDF export functionality, we should inject the PdfExport module into services and set the allowPdfExport property to true. The rendered treemap can be exported as PDF using the export method. The export method requires three parameters: file type, file name and orientation of the PDF document. The orientation setting is optional and 0 indicates portrait and 1 indicates landscape.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, PdfExport, Inject } from '@syncfusion/ej2-react-treemap';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
export function App() {
    function click(){
       treemapInstance.export('PDF', 'export', 0);
    }
   var treemapInstance;
   return ( <div>
    <ButtonComponent value='Export' onClick= { click}>Export</ButtonComponent> <TreeMapComponent  allowPdfExport={true} ref={g => treemapInstance = g}
        dataSource={[
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ]}
        weightValuePath= 'GDP'
        leafItemSettings= {{
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            }
        }}>
        <Inject services={[PdfExport]} />
    </TreeMapComponent> </div> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, PdfExport, Inject } from '@syncfusion/ej2-react-treemap';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
export function App() {
    function click(){
       treemapInstance.export('PDF', 'export', 0);
    }
   let treemapInstance : TreeMapComponent;
   return ( <div>
    <ButtonComponent value='Export' onClick= { click}>Export</ButtonComponent> <TreeMapComponent  allowPdfExport={true} ref={g => treemapInstance = g}
        dataSource={[
            {State:"United States", GDP:17946, percentage:11.08, Rank:1},
            {State:"China", GDP:10866, percentage: 28.42, Rank:2},
            {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
            {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
            {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
            {State:"France", GDP:2421, percentage:-9.69, Rank:6},
            {State:"India", GDP:2073, percentage:13.65, Rank:7},
            {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
            {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
            {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
        ]}
        weightValuePath= 'GDP'
        leafItemSettings= {{
            labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            }
        }}>
        <Inject services={[PdfExport]} />
    </TreeMapComponent> </div> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);

The exporting of the treemap as base64 string is not supported in the PDF export.

HelpBot Assistant

How can I help you?

Print and export in Vue Treemap component

25 May 202424 minutes to read

Print

To use the print functionality, we should inject the Print module using the provide section and set the allowPrint property to true. The rendered treemap can be printed directly from the browser by calling the method print.

<template>
  <div class="control_wrapper">
    <button id="print" @click="clickPrint">Print</button>
    <ejs-treemap ref="treemap" :allowPrint='allowPrint' :dataSource='dataSource' :weightValuePath='weightValuePath'
      :leafItemSettings='leafItemSettings'></ejs-treemap>
  </div>
</template>
<script setup>
import { provide, ref } from "vue";

import { TreeMapComponent as EjsTreemap, Print } from "@syncfusion/ej2-vue-treemap";

const treemap = ref(null);

const dataSource = [
  { State: "United States", GDP: 17946, percentage: 11.08, Rank: 1 },
  { State: "China", GDP: 10866, percentage: 28.42, Rank: 2 },
  { State: "Japan", GDP: 4123, percentage: -30.78, Rank: 3 },
  { State: "Germany", GDP: 3355, percentage: -5.19, Rank: 4 },
  { State: "United Kingdom", GDP: 2848, percentage: 8.28, Rank: 5 },
  { State: "France", GDP: 2421, percentage: -9.69, Rank: 6 },
  { State: "India", GDP: 2073, percentage: 13.65, Rank: 7 },
  { State: "Italy", GDP: 1814, percentage: -12.45, Rank: 8 },
  { State: "Brazil", GDP: 1774, percentage: -27.88, Rank: 9 },
  { State: "Canada", GDP: 1550, percentage: -15.02, Rank: 10 }
];

const weightValuePath = 'GDP';

const leafItemSettings = {
  labelPath: 'State',
  labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
  labelStyle: {
    color: '#000000'
  },
  border: {
    color: '#000000',
    width: 0.5
  }
};

const allowPrint = true;

provide('treemap', [Print]);

const clickPrint = function () {
  treemap.value.print();
};

</script>
<template>
  <div class="control_wrapper">
    <button id="print" @click="clickPrint">Print</button>
    <ejs-treemap ref="treemap" :allowPrint='allowPrint' :dataSource='dataSource' :weightValuePath='weightValuePath'
      :leafItemSettings='leafItemSettings'></ejs-treemap>
  </div>
</template>
<script>

import { TreeMapComponent, Print } from "@syncfusion/ej2-vue-treemap";

export default {
name: "App",
components: {
"ejs-treemap":TreeMapComponent
},
  data: function () {
    return {
      dataSource: [
        { State: "United States", GDP: 17946, percentage: 11.08, Rank: 1 },
        { State: "China", GDP: 10866, percentage: 28.42, Rank: 2 },
        { State: "Japan", GDP: 4123, percentage: -30.78, Rank: 3 },
        { State: "Germany", GDP: 3355, percentage: -5.19, Rank: 4 },
        { State: "United Kingdom", GDP: 2848, percentage: 8.28, Rank: 5 },
        { State: "France", GDP: 2421, percentage: -9.69, Rank: 6 },
        { State: "India", GDP: 2073, percentage: 13.65, Rank: 7 },
        { State: "Italy", GDP: 1814, percentage: -12.45, Rank: 8 },
        { State: "Brazil", GDP: 1774, percentage: -27.88, Rank: 9 },
        { State: "Canada", GDP: 1550, percentage: -15.02, Rank: 10 }
      ],
      weightValuePath: 'GDP',
      leafItemSettings: {
        labelPath: 'State',
        labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
        labelStyle: {
          color: '#000000'
        },
        border: {
          color: '#000000',
          width: 0.5
        }
      },
      allowPrint: true
    }
  },
  provide: {
    treemap: [Print]
  },
  methods: {
    clickPrint: function () {
      this.$refs.treemap.print();
    }
  }
}
</script>

Export

Image Export

To use the image export functionality, we should inject the ImageExport module using the provide section and set the allowImageExport property to true. The rendered treemap can be exported as an image using the export method. The method requires two parameters: image type and file name. The treemap can be exported as an image in the following formats.

  • JPEG
  • PNG
  • SVG
<template>
  <div class="control_wrapper">
    <button id="export" @click="clickExport">Export</button>
    <ejs-treemap id="treemap" ref='treemap' :allowImageExport='allowImageExport' :dataSource='dataSource'
      :weightValuePath='weightValuePath' :leafItemSettings='leafItemSettings'></ejs-treemap>
  </div>
</template>
<script setup>
import { provide, ref } from "vue";

import { TreeMapComponent as EjsTreemap, ImageExport } from "@syncfusion/ej2-vue-treemap";

const treemap = ref(null);

const dataSource = [
  { State: "United States", GDP: 17946, percentage: 11.08, Rank: 1 },
  { State: "China", GDP: 10866, percentage: 28.42, Rank: 2 },
  { State: "Japan", GDP: 4123, percentage: -30.78, Rank: 3 },
  { State: "Germany", GDP: 3355, percentage: -5.19, Rank: 4 },
  { State: "United Kingdom", GDP: 2848, percentage: 8.28, Rank: 5 },
  { State: "France", GDP: 2421, percentage: -9.69, Rank: 6 },
  { State: "India", GDP: 2073, percentage: 13.65, Rank: 7 },
  { State: "Italy", GDP: 1814, percentage: -12.45, Rank: 8 },
  { State: "Brazil", GDP: 1774, percentage: -27.88, Rank: 9 },
  { State: "Canada", GDP: 1550, percentage: -15.02, Rank: 10 }
];

const weightValuePath = 'GDP';

const leafItemSettings = {
  labelPath: 'State',
  labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
  labelStyle: {
    color: '#000000'
  },
  border: {
    color: '#000000',
    width: 0.5
  }
};

const allowImageExport = true;

provide('treemap', [ImageExport]);

const clickExport = function () {
  treemap.value.export('PNG', 'TreeMap');
};

</script>
<template>
  <div class="control_wrapper">
    <button id="export" @click="clickExport">Export</button>
    <ejs-treemap id="treemap" ref='treemap' :allowImageExport='allowImageExport' :dataSource='dataSource'
      :weightValuePath='weightValuePath' :leafItemSettings='leafItemSettings'></ejs-treemap>
  </div>
</template>
<script>

import { TreeMapComponent, ImageExport } from "@syncfusion/ej2-vue-treemap";

export default {
name: "App",
components: {
"ejs-treemap":TreeMapComponent,
},
  data: function () {
    return {
      dataSource: [
        { State: "United States", GDP: 17946, percentage: 11.08, Rank: 1 },
        { State: "China", GDP: 10866, percentage: 28.42, Rank: 2 },
        { State: "Japan", GDP: 4123, percentage: -30.78, Rank: 3 },
        { State: "Germany", GDP: 3355, percentage: -5.19, Rank: 4 },
        { State: "United Kingdom", GDP: 2848, percentage: 8.28, Rank: 5 },
        { State: "France", GDP: 2421, percentage: -9.69, Rank: 6 },
        { State: "India", GDP: 2073, percentage: 13.65, Rank: 7 },
        { State: "Italy", GDP: 1814, percentage: -12.45, Rank: 8 },
        { State: "Brazil", GDP: 1774, percentage: -27.88, Rank: 9 },
        { State: "Canada", GDP: 1550, percentage: -15.02, Rank: 10 }
      ],
      weightValuePath: 'GDP',
      leafItemSettings: {
        labelPath: 'State',
        labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
        labelStyle: {
          color: '#000000'
        },
        border: {
          color: '#000000',
          width: 0.5
        },
      },
      allowImageExport: true
    }
  },
  provide: {
    treemap: [ImageExport]
  },
  methods: {
    clickExport: function () {
      this.$refs.treemap.export('PNG', 'TreeMap');
    }
  }
}
</script>

We can get the image file as base64 string for the JPEG and PNG formats. The treemap can be exported to image as a base64 string using the export method. There are four parameters required: image type, file name, orientation of the exported PDF document which must be set as null for image export and finally allowDownload which should be set as false to return base64 string.

<template>
  <div class="control_wrapper">
    <button id="export" @click="clickExport">Export</button>
    <ejs-treemap id="treemap" ref='treemap' :allowImageExport='allowImageExport' :dataSource='dataSource'
      :weightValuePath='weightValuePath' :leafItemSettings='leafItemSettings'></ejs-treemap>
  </div>
</template>
<script setup>
import { provide, ref } from "vue";

import { TreeMapComponent as EjsTreemap, ImageExport } from "@syncfusion/ej2-vue-treemap";

const treemap = ref(null);

const dataSource = [
  { State: "United States", GDP: 17946, percentage: 11.08, Rank: 1 },
  { State: "China", GDP: 10866, percentage: 28.42, Rank: 2 },
  { State: "Japan", GDP: 4123, percentage: -30.78, Rank: 3 },
  { State: "Germany", GDP: 3355, percentage: -5.19, Rank: 4 },
  { State: "United Kingdom", GDP: 2848, percentage: 8.28, Rank: 5 },
  { State: "France", GDP: 2421, percentage: -9.69, Rank: 6 },
  { State: "India", GDP: 2073, percentage: 13.65, Rank: 7 },
  { State: "Italy", GDP: 1814, percentage: -12.45, Rank: 8 },
  { State: "Brazil", GDP: 1774, percentage: -27.88, Rank: 9 },
  { State: "Canada", GDP: 1550, percentage: -15.02, Rank: 10 }
];

const weightValuePath = 'GDP';

const leafItemSettings = {
  labelPath: 'State',
  labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
  labelStyle: {
    color: '#000000'
  },
  border: {
    color: '#000000',
    width: 0.5
  }
};

const allowImageExport = true;

provide('treemap', [ImageExport]);

const clickExport = function () {
  treemap.value.export('PNG', 'TreeMap', null, false
  ).then((data) => {
    var base64 = data;
    document.writeln(base64);
  });
};

</script>
<template>
  <div class="control_wrapper">
    <button id="export" @click="clickExport">Export</button>
    <ejs-treemap id="treemap" ref='treemap' :allowImageExport='allowImageExport' :dataSource='dataSource'
      :weightValuePath='weightValuePath' :leafItemSettings='leafItemSettings'></ejs-treemap>
  </div>
</template>
<script>

import { TreeMapComponent, ImageExport } from "@syncfusion/ej2-vue-treemap";

export default {
name: "App",
components: {
"ejs-treemap":TreeMapComponent,
},
  data: function () {
    return {
      dataSource: [
        { State: "United States", GDP: 17946, percentage: 11.08, Rank: 1 },
        { State: "China", GDP: 10866, percentage: 28.42, Rank: 2 },
        { State: "Japan", GDP: 4123, percentage: -30.78, Rank: 3 },
        { State: "Germany", GDP: 3355, percentage: -5.19, Rank: 4 },
        { State: "United Kingdom", GDP: 2848, percentage: 8.28, Rank: 5 },
        { State: "France", GDP: 2421, percentage: -9.69, Rank: 6 },
        { State: "India", GDP: 2073, percentage: 13.65, Rank: 7 },
        { State: "Italy", GDP: 1814, percentage: -12.45, Rank: 8 },
        { State: "Brazil", GDP: 1774, percentage: -27.88, Rank: 9 },
        { State: "Canada", GDP: 1550, percentage: -15.02, Rank: 10 }
      ],
      weightValuePath: 'GDP',
      leafItemSettings: {
        labelPath: 'State',
        labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
        labelStyle: {
          color: '#000000'
        },
        border: {
          color: '#000000',
          width: 0.5
        }
      },
      allowImageExport: true
    }
  },
  provide: {
    treemap: [ImageExport]
  },
  methods: {
    clickExport: function () {
      this.$refs.treemap.export('PNG', 'TreeMap', null, false
      ).then((data) => {
        var base64 = data;
        document.writeln(base64);
      });
    }
  }
}
</script>

PDF Export

To use the PDF export functionality, we should inject the PdfExport module using the provide section and set the allowPdfExport property to true. The rendered treemap can be exported as PDF using the export method. The export method requires three parameters: file type, file name and orientation of the PDF document. The orientation setting is optional and 0 indicates portrait and 1 indicates landscape.

<template>
  <div class="control_wrapper">
    <button id="export" @click="clickExport">export</button>
    <ejs-treemap id="treemap" ref='treemap' :allowPdfExport='allowPdfExport' :dataSource='dataSource'
      :weightValuePath='weightValuePath' :leafItemSettings='leafItemSettings'></ejs-treemap>
  </div>
</template>
<script setup>
import { provide, ref } from "vue";

import { TreeMapComponent as EjsTreemap, PdfExport } from "@syncfusion/ej2-vue-treemap";

const treemap = ref(null);

const dataSource = [
  { State: "United States", GDP: 17946, percentage: 11.08, Rank: 1 },
  { State: "China", GDP: 10866, percentage: 28.42, Rank: 2 },
  { State: "Japan", GDP: 4123, percentage: -30.78, Rank: 3 },
  { State: "Germany", GDP: 3355, percentage: -5.19, Rank: 4 },
  { State: "United Kingdom", GDP: 2848, percentage: 8.28, Rank: 5 },
  { State: "France", GDP: 2421, percentage: -9.69, Rank: 6 },
  { State: "India", GDP: 2073, percentage: 13.65, Rank: 7 },
  { State: "Italy", GDP: 1814, percentage: -12.45, Rank: 8 },
  { State: "Brazil", GDP: 1774, percentage: -27.88, Rank: 9 },
  { State: "Canada", GDP: 1550, percentage: -15.02, Rank: 10 }
];

const weightValuePath = 'GDP';

const leafItemSettings = {
  labelPath: 'State',
  labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
  labelStyle: {
    color: '#000000'
  },
  border: {
    color: '#000000',
    width: 0.5
  }
};

const allowPdfExport = true;

provide('treemap', [PdfExport]);

const clickExport = function () {
  treemap.value.export('PDF', 'TreeMap', 0);
};

</script>
<template>
  <div class="control_wrapper">
    <button id="export" @click="clickExport">export</button>
    <ejs-treemap id="treemap" ref='treemap' :allowPdfExport='allowPdfExport' :dataSource='dataSource'
      :weightValuePath='weightValuePath' :leafItemSettings='leafItemSettings'></ejs-treemap>
  </div>
</template>
<script>

import { TreeMapComponent, PdfExport } from "@syncfusion/ej2-vue-treemap";

export default {
name: "App",
components: {
"ejs-treemap":TreeMapComponent
},
  data: function () {
    return {
      dataSource: [
        { State: "United States", GDP: 17946, percentage: 11.08, Rank: 1 },
        { State: "China", GDP: 10866, percentage: 28.42, Rank: 2 },
        { State: "Japan", GDP: 4123, percentage: -30.78, Rank: 3 },
        { State: "Germany", GDP: 3355, percentage: -5.19, Rank: 4 },
        { State: "United Kingdom", GDP: 2848, percentage: 8.28, Rank: 5 },
        { State: "France", GDP: 2421, percentage: -9.69, Rank: 6 },
        { State: "India", GDP: 2073, percentage: 13.65, Rank: 7 },
        { State: "Italy", GDP: 1814, percentage: -12.45, Rank: 8 },
        { State: "Brazil", GDP: 1774, percentage: -27.88, Rank: 9 },
        { State: "Canada", GDP: 1550, percentage: -15.02, Rank: 10 }
      ],
      weightValuePath: 'GDP',
      leafItemSettings: {
        labelPath: 'State',
        labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
        labelStyle: {
          color: '#000000'
        },
        border: {
          color: '#000000',
          width: 0.5
        }
      },
      allowPdfExport: true
    }
  },
  provide: {
    treemap: [PdfExport]
  },
  methods: {
    clickExport: function () {
      this.$refs.treemap.export('PDF', 'TreeMap', 0);
    }
  }
}
</script>

The exporting of the treemap as base64 string is not supported in the PDF export.

Syncfusion AI Assistant

How can I help you?

Print and export in Angular Treemap component

27 Apr 202416 minutes to read

Print

To use the print functionality, we should inject the PrintService into the @NgModule.providers and set the allowPrint property to true. The rendered treemap can be printed directly from the browser by calling the method print.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TreeMapModule, TreeMapLegendService, TreeMapTooltipService, TreeMapAllModule } from '@syncfusion/ej2-angular-treemap'



import { TreeMap } from '@syncfusion/ej2-treemap';
import { Component, ViewChild} from '@angular/core';
import { PrintService } from '@syncfusion/ej2-angular-treemap';
@Component({
imports: [
         TreeMapModule, TreeMapAllModule
    ],

providers: [TreeMapLegendService, TreeMapTooltipService],
standalone: true,
    selector: 'app-container',
    template: `<ejs-treemap id='container' #treemap [allowPrint]=true style='display: block;'  [dataSource]='data' weightValuePath='GDP'
    [leafItemSettings]='leafItemSettings'>
    </ejs-treemap>  <div>
    <button id="togglebtn2" (click)='print()'>Print</button>
    </div>`,
    providers: [PrintService]
})
export class AppComponent {
    @ViewChild('treemap')
    public treemap?: TreeMap;
    public data: object[] = [
    {State:"United States", GDP:17946, percentage:11.08, Rank:1},
    {State:"China", GDP:10866, percentage: 28.42, Rank:2},
    {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
    {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
    {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
    {State:"France", GDP:2421, percentage:-9.69, Rank:6},
    {State:"India", GDP:2073, percentage:13.65, Rank:7},
    {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
    {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
    {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
    ];
    public leafItemSettings: object = {
        labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            },
    };
    public print() {
        this.treemap!.print();
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Export

Image Export

To use the image export functionality, we should inject the ImageExportService into the @NgModule.providers and set the allowImageExport property to true. The rendered treemap can be exported as an image using the export method. The method requires two parameters: image type and file name. The treemap can be exported as an image in the following formats.

  • JPEG
  • PNG
  • SVG
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TreeMapModule, TreeMapLegendService, TreeMapTooltipService, TreeMapAllModule } from '@syncfusion/ej2-angular-treemap'



import { TreeMap } from '@syncfusion/ej2-treemap';
import { Component, ViewChild } from '@angular/core';
import { ImageExportService } from '@syncfusion/ej2-angular-treemap';
@Component({
imports: [
         TreeMapModule, TreeMapAllModule
    ],

providers: [TreeMapLegendService, TreeMapTooltipService],
standalone: true,
    selector: 'app-container',
    template: `<ejs-treemap id='container' #treemap [allowImageExport]=true style='display: block;' [dataSource]='data' weightValuePath='GDP'
    [leafItemSettings]='leafItemSettings'>
    </ejs-treemap>  <div>
    <button id="togglebtn2"  (click)='export()'>Export</button>
    </div>`,
    providers: [ImageExportService]
})
export class AppComponent {
    @ViewChild('treemap')
    public treemap?: TreeMap;
    public data: object[] = [
    {State:"United States", GDP:17946, percentage:11.08, Rank:1},
    {State:"China", GDP:10866, percentage: 28.42, Rank:2},
    {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
    {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
    {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
    {State:"France", GDP:2421, percentage:-9.69, Rank:6},
    {State:"India", GDP:2073, percentage:13.65, Rank:7},
    {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
    {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
    {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
    ];
    public leafItemSettings: object = {
        labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            },
    };
    public export() {
        this.treemap!.export('PNG', 'TreeMap');
        };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

We can get the image file as base64 string for the JPEG and PNG formats. The treemap can be exported to image as a base64 string using the export method. There are four parameters required: image type, file name, orientation of the exported PDF document which must be set as null for image export and finally allowDownload which should be set as false to return base64 string.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TreeMapModule, TreeMapLegendService, TreeMapTooltipService, TreeMapAllModule } from '@syncfusion/ej2-angular-treemap'



import { TreeMap } from '@syncfusion/ej2-treemap';
import { Component, ViewChild } from '@angular/core';
import { ImageExportService } from '@syncfusion/ej2-angular-treemap';
@Component({
imports: [
         TreeMapModule, TreeMapAllModule
    ],

providers: [TreeMapLegendService, TreeMapTooltipService],
standalone: true,
    selector: 'app-container',
    template: `<ejs-treemap id='container' #treemap [allowImageExport]=true style='display: block;' [dataSource]='data' weightValuePath='GDP'
    [leafItemSettings]='leafItemSettings'>
    </ejs-treemap>  <div>
    <button id="togglebtn2"  (click)='export()'>Export</button>
    </div>`,
    providers: [ImageExportService]
})
export class AppComponent {
    @ViewChild('treemap')
    public treemap?: TreeMap;
    public data: object[] = [
    {State:"United States", GDP:17946, percentage:11.08, Rank:1},
    {State:"China", GDP:10866, percentage: 28.42, Rank:2},
    {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
    {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
    {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
    {State:"France", GDP:2421, percentage:-9.69, Rank:6},
    {State:"India", GDP:2073, percentage:13.65, Rank:7},
    {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
    {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
    {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
    ];
    public leafItemSettings: object = {
        labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            },
    };
     public export() {
        const promise = this.treemap!.export('PNG','TreeMap',undefined,false);
        promise.then((data)=>{
            document.writeln(data);
          })
        };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

PDF Export

To use the PDF export functionality, we should inject the PdfExportService into the @NgModule.providers and set the allowPdfExport property to true. The rendered treemap can be exported as PDF using the export method. The export method requires three parameters: file type, file name and orientation of the PDF document. The orientation setting is optional and 0 indicates portrait and 1 indicates landscape.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TreeMapModule, TreeMapLegendService, TreeMapTooltipService, TreeMapAllModule } from '@syncfusion/ej2-angular-treemap'



import { TreeMap } from '@syncfusion/ej2-treemap';
import { Component, ViewChild } from '@angular/core';
import { PdfExportService } from '@syncfusion/ej2-angular-treemap';
@Component({
imports: [
         TreeMapModule, TreeMapAllModule
    ],

providers: [TreeMapLegendService, TreeMapTooltipService],
standalone: true,
    selector: 'app-container',
    template: `<ejs-treemap id='container' #treemap [allowPdfExport]=true style='display: block;' [dataSource]='data' weightValuePath='GDP'
    [leafItemSettings]='leafItemSettings'>
    </ejs-treemap>  <div>
    <button id="togglebtn2"  (click)='export()'>Export</button>
    </div>`,
    providers: [PdfExportService]
})
export class AppComponent {
    @ViewChild('treemap')
    public treemap?: TreeMap;
    public data: object[] = [
    {State:"United States", GDP:17946, percentage:11.08, Rank:1},
    {State:"China", GDP:10866, percentage: 28.42, Rank:2},
    {State:"Japan", GDP:4123, percentage:-30.78, Rank:3},
    {State:"Germany", GDP:3355, percentage:-5.19, Rank:4},
    {State:"United Kingdom", GDP:2848, percentage:8.28, Rank:5},
    {State:"France", GDP:2421, percentage:-9.69, Rank:6},
    {State:"India", GDP:2073, percentage:13.65, Rank:7},
    {State:"Italy", GDP:1814, percentage:-12.45, Rank:8},
    {State:"Brazil", GDP:1774, percentage:-27.88, Rank:9},
    {State:"Canada", GDP:1550, percentage:-15.02, Rank:10}
    ];
    public leafItemSettings: object = {
        labelPath: 'State',
            labelFormat: '${State}<br>$${GDP} Trillion<br>(${percentage} %)',
            labelStyle: {
                color: '#000000'
            },
            border: {
                color: '#000000',
                width: 0.5
            },
    };
    public export() {
        this.treemap!.export('PDF', 'TreeMap', 0);
        };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

The exporting of the treemap as base64 string is not supported in the PDF export.